mscorlib 2.0.0.0 4.0.0.0 System.Security.AccessControl.CommonObjectSecurity To be added.

Provides the ability to control access to native objects without direct manipulation of Access Control Lists (ACLs). Native object types are defined by the enumeration.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified values.

  true if the new object is a container object.
  The type of securable object with which the new object is associated.
- Constructor
  2.0.0.0
  4.0.0.0

  When persisting a object, if the value of the parameter passed to the method is not identical to the value of the parameter passed to the constructor used to create that object, sections of the persisted object can contain unpredictable values. For example, if a constructor is called with an value of , and later a method is called on that object with an value of , the resulting persisted object will contain unpredictable values for its audit rules, group, and owner.

  Initializes a new instance of the class with the specified values. We recommend that the values of the parameters passed to the constructor and persist methods be identical. For more information, see Remarks.

  true if the new object is a container object.
  The type of securable object with which the new object is associated.
  The handle of the securable object with which the new object is associated.
  One of the enumeration values that specifies the sections of the security descriptor (access rules, audit rules, owner, primary group) of the securable object to include in this object.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  2.0.0.0
  4.0.0.0

  When persisting a object, if the value of the parameter passed to the method is not identical to the value of the parameter passed to the constructor used to create that object, sections of the persisted object can contain unpredictable values. For example, if a constructor is called with an value of , and later a method is called on that object with an value of , the resulting persisted object will contain unpredictable values for its audit rules, group, and owner.

  Initializes a new instance of the class with the specified values. We recommend that the values of the parameters passed to the constructor and persist methods be identical. For more information, see Remarks.

  true if the new object is a container object.
  The type of securable object with which the new object is associated.
  The name of the securable object with which the new object is associated.
  One of the enumeration values that specifies the sections of the security descriptor (access rules, audit rules, owner, primary group) of the securable object to include in this object.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  When persisting a object, if the value of the parameter passed to the method is not identical to the value of the parameter passed to the constructor used to create that object, sections of the persisted object can contain unpredictable values. For example, if a constructor is called with an value of , and later a method is called on that object with an value of , the resulting persisted object will contain unpredictable values for its audit rules, group, and owner.

  Saves the specified sections of the security descriptor associated with this object to permanent storage. We recommend that the values of the parameters passed to the constructor and persist methods be identical. For more information, see Remarks.

  The handle of the securable object with which this object is associated. One of the enumeration values that specifies the sections of the security descriptor (access rules, audit rules, owner, primary group) of the securable object to save.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  When persisting a object, if the value of the parameter passed to the method is not identical to the value of the parameter passed to the constructor used to create that object, sections of the persisted object can contain unpredictable values. For example, if a constructor is called with an value of , and later a method is called on that object with an value of , the resulting persisted object will contain unpredictable values for its audit rules, group, and owner.

  Saves the specified sections of the security descriptor associated with this object to permanent storage. We recommend that the values of the parameters passed to the constructor and persist methods be identical. For more information, see Remarks.

  The name of the securable object with which this object is associated. One of the enumeration values that specifies the sections of the security descriptor (access rules, audit rules, owner, primary group) of the securable object to save.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  When persisting a object, if the value of the parameter passed to the method is not identical to the value of the parameter passed to the constructor used to create that object, sections of the persisted object can contain unpredictable values. For example, if a constructor is called with an value of , and later a method is called on that object with an value of , the resulting persisted object will contain unpredictable values for its audit rules, group, and owner.

  Saves the specified sections of the security descriptor associated with this object to permanent storage. We recommend that the values of the parameters passed to the constructor and persist methods be identical. For more information, see Remarks.

  The handle of the securable object with which this object is associated. One of the enumeration values that specifies the sections of the security descriptor (access rules, audit rules, owner, primary group) of the securable object to save. An object that contains contextual information about the source or destination of the exception.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  When persisting a object, if the value of the parameter passed to the method is not identical to the value of the parameter passed to the constructor used to create that object, sections of the persisted object can contain unpredictable values. For example, if a constructor is called with an value of , and later a method is called on that object with an value of , the resulting persisted object will contain unpredictable values for its audit rules, group, and owner.

  Saves the specified sections of the security descriptor associated with this object to permanent storage. We recommend that the values of the parameters passed to the constructor and persist methods be identical. For more information, see Remarks.

  The name of the securable object with which this object is associated. One of the enumeration values that specifies the sections of the security descriptor (access rules, audit rules, owner, primary group) of the securable object to save. An object that contains contextual information about the source or destination of the exception.